Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » AON_WDT » Functions

IRQ Handler and Callbacks functions. More...

## Functions
void | hal_aon_wdt_irq_handler (aon_wdt_handle_t *p_aon_wdt)
| Handle AON_WDT interrupt request. More...
void | hal_aon_wdt_alarm_callback (aon_wdt_handle_t *p_aon_wdt)
| AON_WDT count complete (counter reaches to 0) callback. More...
hal_status_t | hal_aon_wdt_disable (void)
| Disable the AON_WDT. More...
hal_status_t | hal_aon_wdt_enable (void)
| Enable the AON_WDT. More...

## Detailed Description

IRQ Handler and Callbacks functions.

## Function Documentation

## ◆ hal_aon_wdt_alarm_callback()

void hal_aon_wdt_alarm_callback | ( | aon_wdt_handle_t * | p_aon_wdt | ) |

AON_WDT count complete (counter reaches to 0) callback.

Note
  This function should not be modified. When the callback is needed, the hal_wdt_count_cplt_callback can be implemented in the user file.

Parameters

  [in] | p_aon_wdt | Pointer to a AON_WDT handle which contains the configuration information for the specified AON_WDT module.

## ◆ hal_aon_wdt_disable()

hal_status_t hal_aon_wdt_disable | ( | void |  | ) |

Disable the AON_WDT.

Return values

  HAL_OK | Operation is OK.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_aon_wdt_enable()

hal_status_t hal_aon_wdt_enable | ( | void |  | ) |

Enable the AON_WDT.

Return values

  HAL_OK | Operation is OK.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_aon_wdt_irq_handler()

void hal_aon_wdt_irq_handler | ( | aon_wdt_handle_t * | p_aon_wdt | ) |

Handle AON_WDT interrupt request.

Note
  The count completed can be used if specific safety operations or data logging must be performed before the actual reset is generated. When RESET Mode is enabled, AON_WDT will generate an interrupt on first timeout. If interrupt has not been cleared before the second timeout, AON_WDT will then request a SoC Reset.

Parameters

  [in] | p_aon_wdt | Pointer to a AON_WDT handle which contains the configuration information for the specified AON_WDT module.